[PATCH] libosmo-abis[master]: jenkins.sh: use osmo-build-dep.sh, print separator

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Neels Hofmeyr gerrit-no-reply at lists.osmocom.org
Thu Oct 6 21:23:51 UTC 2016


Review at  https://gerrit.osmocom.org/1018

jenkins.sh: use osmo-build-dep.sh, print separator

Change-Id: I36ce41c669ffb123ec0741061e357a94baee6460
---
M contrib/jenkins.sh
1 file changed, 13 insertions(+), 9 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/libosmo-abis refs/changes/18/1018/1

diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index e315b4f..7f3901f 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -2,17 +2,21 @@
 
 set -ex
 
-rm -rf deps/install
-mkdir deps || true
-cd deps
-osmo-deps.sh libosmocore
+base="$PWD"
+deps="$base/deps"
+inst="$deps/install"
 
-cd libosmocore
-autoreconf --install --force
-./configure --prefix=$PWD/../install
-$MAKE $PARALLEL_MAKE install
+mkdir "$deps" || true
+rm -rf "$inst"
 
-cd ../../
+osmo-build-dep.sh libosmocore
+
+echo
+echo
+echo
+echo " =============================== libosmo-abis ==============================="
+echo
+
 autoreconf --install --force
 export PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig:$PKG_CONFIG_PATH
 export LD_LIBRARY_PATH=$PWD/deps/install/lib

-- 
To view, visit https://gerrit.osmocom.org/1018
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I36ce41c669ffb123ec0741061e357a94baee6460
Gerrit-PatchSet: 1
Gerrit-Project: libosmo-abis
Gerrit-Branch: master
Gerrit-Owner: Neels Hofmeyr <nhofmeyr at sysmocom.de>



More information about the gerrit-log mailing list